<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLMutationManager&lt; SUBGRAPH_CLASS &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classTIGLMutationManager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLMutationManager&lt; SUBGRAPH_CLASS &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__mutation__engine.html">Mutation Engine</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Mutation manager class.  
 <a href="classTIGLMutationManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglMutationManager_8hpp_source.html">tiglMutationManager.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac7ec277f489a4961de1bba26ae72679a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7ec277f489a4961de1bba26ae72679a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLMutationManager.html#ac7ec277f489a4961de1bba26ae72679a">processAllMutationMessages</a> ()</td></tr>
<tr class="memdesc:ac7ec277f489a4961de1bba26ae72679a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes all mutation messages of all threads. <br /></td></tr>
<tr class="separator:ac7ec277f489a4961de1bba26ae72679a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06acf82a5e7b4c8d1277bd2b140a1298"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLMutationManager.html#a06acf82a5e7b4c8d1277bd2b140a1298">processMutationMessages</a> (int thread=0)</td></tr>
<tr class="memdesc:a06acf82a5e7b4c8d1277bd2b140a1298"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes all mutation messages at a given superstep.  <a href="#a06acf82a5e7b4c8d1277bd2b140a1298">More...</a><br /></td></tr>
<tr class="separator:a06acf82a5e7b4c8d1277bd2b140a1298"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a6ddb2bb4d75734599ef7a39fd0291b8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ddb2bb4d75734599ef7a39fd0291b8e"></a>
DATA_CONTAINER_TYPE *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLMutationManager.html#a6ddb2bb4d75734599ef7a39fd0291b8e">dataManager</a></td></tr>
<tr class="memdesc:a6ddb2bb4d75734599ef7a39fd0291b8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to the data manager object <br /></td></tr>
<tr class="separator:a6ddb2bb4d75734599ef7a39fd0291b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename SUBGRAPH_CLASS&gt;<br />
class TIGLMutationManager&lt; SUBGRAPH_CLASS &gt;</h3>

<p>Mutation manager class. </p>
<p>It handles all graph mutation operations. It is a template class that is parameterized by </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">SUBGRAPH_CLASS</td><td>the type of the data manager </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a06acf82a5e7b4c8d1277bd2b140a1298"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename SUBGRAPH_CLASS &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classTIGLMutationManager.html">TIGLMutationManager</a>&lt; SUBGRAPH_CLASS &gt;::processMutationMessages </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>thread</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes all mutation messages at a given superstep. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">thread</td><td>the current thread (always 0 if single device) </td></tr>
  </table>
  </dd>
</dl>
<p><b>Procedure</b> </p><ol type="1">
<li>Iterate over all message in mutation message buffer</li>
<li>Read the mutation message code</li>
<li>Depending on the message code call the appropriate procedure from the data manager <a class="el" href="classTIGLContainersSubgraph.html">object </a> </li>
</ol>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="tiglMutationManager_8hpp_source.html">tiglMutationManager.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:59 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
